{% extends 'base.html.twig' %}

{% block title %}{{ title }}{% endblock %}

{% block body %}
    <h1>News index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Header</th>
                <th>BriefDescription</th>
                <th>Image</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for news in news %}
            <tr>
                <td>{{ news.id }}</td>
                <td>{{ news.header }}</td>
                <td>{{ news.briefDescription }}</td>
                <td><img src="{{ asset(news.image) }}" alt="Not found"></td>
                <td>
                    <a href="{{ path('news_show', {'id': news.id}) }}">show</a>
                    <a href="{{ path('news_edit', {'id': news.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('news_new') }}">Create new</a>
{% endblock %}
